Compute Cloud API, REST: SnapshotSchedule.Create
Creates a snapshot schedule in the specified folder.
HTTP request
POST https://compute.api.yandexcloud.kz/compute/v1/snapshotSchedules
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"schedulePolicy": {
"startAt": "string",
"expression": "string"
},
// Includes only one of the fields `retentionPeriod`, `snapshotCount`
"retentionPeriod": "string",
"snapshotCount": "string",
// end of the list of possible fields
"snapshotSpec": {
"description": "string",
"labels": "object"
},
"diskIds": [
"string"
]
}
|
Field |
Description |
|
folderId |
string ID of the folder to create a snapshot schedule in. |
|
name |
string Name of the snapshot schedule. |
|
description |
string Description of the snapshot schedule. |
|
labels |
object (map<string, string>) Snapshot schedule labels as |
|
schedulePolicy |
Frequency settings of the snapshot schedule. |
|
retentionPeriod |
string (duration) Retention period of the snapshot schedule. Once a snapshot created by the schedule reaches this age, it is Includes only one of the fields Retention policy of the snapshot schedule. |
|
snapshotCount |
string (int64) Retention count of the snapshot schedule. Once the number of snapshots created by the schedule exceeds this Includes only one of the fields Retention policy of the snapshot schedule. |
|
snapshotSpec |
Attributes of snapshots created by the snapshot schedule. |
|
diskIds[] |
string List of IDs of the disks attached to the snapshot schedule. |
SchedulePolicy
A resource for frequency settings of a snapshot schedule.
|
Field |
Description |
|
startAt |
string (date-time) Timestamp for creating the first snapshot. String in RFC3339 To work with values in this field, use the APIs described in the |
|
expression |
string Cron expression for the snapshot schedule (UTC+0). |
SnapshotSpec
A resource for attributes of snapshots created by the snapshot schedule.
|
Field |
Description |
|
description |
string Description of the created snapshot. |
|
labels |
object (map<string, string>) Snapshot labels as |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |